From: "Peter Wilmott" <p8952@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/omniauth/
Date: Thu, 13 Aug 2015 18:59:40 +0000 (UTC) [thread overview]
Message-ID: <1439492344.94d0da5ada22fff170121eedd1d5833534e2d1b9.p8952@gentoo> (raw)
commit: 94d0da5ada22fff170121eedd1d5833534e2d1b9
Author: Peter Wilmott <p8952 <AT> gentoo <DOT> org>
AuthorDate: Thu Aug 13 18:55:04 2015 +0000
Commit: Peter Wilmott <p8952 <AT> gentoo <DOT> org>
CommitDate: Thu Aug 13 18:59:04 2015 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=94d0da5a
dev-ruby/omniauth: Add ruby22
Package-Manager: portage-2.2.20.1
dev-ruby/omniauth/omniauth-1.2.2-r1.ebuild | 40 ++++++++++++++++++++++++++++++
1 file changed, 40 insertions(+)
diff --git a/dev-ruby/omniauth/omniauth-1.2.2-r1.ebuild b/dev-ruby/omniauth/omniauth-1.2.2-r1.ebuild
new file mode 100644
index 0000000..2388407
--- /dev/null
+++ b/dev-ruby/omniauth/omniauth-1.2.2-r1.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+USE_RUBY="ruby19 ruby20 ruby21 ruby22"
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+RUBY_FAKEGEM_RECIPE_TEST="rspec"
+RUBY_FAKEGEM_RECIPE_DOC="none"
+RUBY_FAKEGEM_DOCDIR="doc"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A generalized Rack framework for multiple-provider authentication"
+HOMEPAGE="https://github.com/intridea/omniauth"
+LICENSE="MIT"
+KEYWORDS="~amd64"
+SLOT="0"
+IUSE=""
+
+ruby_add_rdepend "dev-ruby/rack dev-ruby/hashie"
+ruby_add_bdepend "doc? ( dev-ruby/yard )
+ test? ( dev-ruby/rack-test )"
+
+all_ruby_prepare() {
+ sed -i -e '/[Bb]undler/d' \
+ Rakefile ${PN}.gemspec || die "sed failed"
+ sed -i -e '/simplecov/,/^end/ s:^:#:' spec/helper.rb || die "sed failed"
+ # maruku fails, resorting to default markdown implementation
+ sed -i -e '/maruku/d' .yardopts || die "sed failed"
+}
+
+all_ruby_compile() {
+ all_fakegem_compile
+
+ if use doc ; then
+ yard || die "yard failed"
+ fi
+}
next reply other threads:[~2015-08-13 18:59 UTC|newest]
Thread overview: 34+ messages / expand[flat|nested] mbox.gz Atom feed top
2015-08-13 18:59 Peter Wilmott [this message]
-- strict thread matches above, loose matches on Subject: below --
2015-12-12 7:35 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/omniauth/ Hans de Graaff
2015-12-24 6:37 Hans de Graaff
2016-05-09 22:29 Manuel Rüger
2016-10-31 1:44 Manuel Rüger
2017-01-18 7:16 Hans de Graaff
2017-01-18 7:16 Hans de Graaff
2017-02-06 6:41 Hans de Graaff
2017-02-19 7:05 Hans de Graaff
2017-03-07 6:10 Hans de Graaff
2017-09-29 14:20 Hans de Graaff
2017-09-29 14:20 Hans de Graaff
2017-10-11 5:26 Hans de Graaff
2017-12-28 6:34 Hans de Graaff
2017-12-28 6:34 Hans de Graaff
2018-02-07 7:05 Hans de Graaff
2018-09-11 4:50 Hans de Graaff
2018-12-15 6:31 Hans de Graaff
2019-03-30 6:46 Hans de Graaff
2019-11-09 6:28 Hans de Graaff
2020-03-03 7:25 Hans de Graaff
2020-08-01 9:05 Hans de Graaff
2021-07-07 7:48 Hans de Graaff
2021-07-07 7:48 Hans de Graaff
2022-04-14 5:01 Hans de Graaff
2022-12-04 15:08 Hans de Graaff
2023-02-04 7:08 Hans de Graaff
2023-08-29 16:53 Hans de Graaff
2023-08-29 16:53 Hans de Graaff
2023-12-20 7:13 Hans de Graaff
2024-02-11 7:26 Hans de Graaff
2024-07-18 6:05 Hans de Graaff
2024-07-18 6:05 Hans de Graaff
2025-02-28 14:21 Hans de Graaff
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1439492344.94d0da5ada22fff170121eedd1d5833534e2d1b9.p8952@gentoo \
--to=p8952@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox